/* set up base margin */
body{
    margin:0px;
}

/*default settings for every section/page */
.section{
    margin:0px;
    min-height:100vh;
    max-height:100%;
    width:100vw;
}

/*user interaction (persona) font style*/
.persona{
    font-family:'Karla', sans-serif;
    font-size:14px;
    text-align:center;
    color:#AE696C;
    margin-top:50px;
    font-weight:bold;
}

.persona landing{
    color:#FAF5E8;
}


/*heading font style*/
.header{
    font-family: 'Vollkorn', sans-serif;
    font-size:40px;
    font-weight:700;
}

.header one{
    top:100vh;
    margin-top:35vh;
    color:#AE696C;
    
}

.header two{
    margin-top:35vh;
    color:#AE696C;
}

.header three{
    margin-top:35vh;
}

/*LANDING PAGE*/
#landing{
    background-color: #AE696C;
    display:flex;
    justify-content:center;
    padding-left:50px;
    padding-right:50px;
    width:100vw;
    height:100vh;
}

/*welcome message settings*/
.welcome{
    font-family:'vollkorn', sans-serif;
    margin-top:40vh;
    margin-bottom:35vh;
    text-align:center;
    color:#F2E4BD;
    font-size:7vh;
    line-height:40px;
    font-weight:300;
}

.welcome b{
    color:#fff;
    font-size:7vh;
    font-weight:700;
}

.welcome sub{
    font-size:25px;
}

/*ABOUT PAGE*/
#about{
    display:flex;
    background-color:#F2E4BD;
}

@media(min-width:596px){
    #about{
        flex-direction:row; 
        padding-top:25vh;
        padding-bottom:15vh;
        justify-content:center;
    }

    .leftside{
        flex:1;
        margin-left:7vw;
        margin-right:5vw;
    
    }

    #about p{
        font-size:15px;
        text-align:justify;
        color:#12050E;
        font-family:'Karla', sans-serif;
        font-weight:500;
    }
    
    .rightside{
        padding-top:7vh;
        flex:2.5;
        margin-right:10vw;
        margin-left:20px;
    }
    
    
    .leftside img{
        height:40vh;
        border: 10px solid #AE696C;
    }
    
    .rightside p{
        max-width:40vw;
        
    }
}

@media(max-width:595px){
    #about{
        flex-direction:column; 
        padding-top:15vh;
        padding-bottom:15vh;
        overflow-x:hidden;
    }

    .leftside{
        flex:1;
        margin:0 auto;
    }

    #about p{
        font-size:15px;
        text-align:justify;
        color:#12050E;
        font-family:'Karla', sans-serif;
        font-weight:500;
    }

    .rightside{
        padding-top:7vh;
        flex:2.5;
        margin:0 auto;
    }
    
    
    .leftside img{
        height:30vh;
        border: 10px solid #AE696C;
    }
    
    .rightside p{
        max-width:50vw;
        
    }
}



/*SKILLS PAGE*/
#skills {
    background-color:#FAF5E8;
}

.placeholder{
    padding:30vh 25vw;

}
#skills p{
    font-size:15px;
    text-align:justify;
    color:#12050E;
    font-weight:normal;
    font-family:'Karla', sans-serif;
    max-width:50vw;
}

/*EDU&EXP PAGE*/
#edu{
    background-color: #F2E4BD;
    padding:20vh 15vw;
    display:flex;
}

@media(max-width:595px){
    #edu{
        flex-direction:column;
    }
    .pic{
        flex:1;
        padding:5vh;
        /* border:1px solid green; */
    }
    
    .pic img{
        border:10px solid #AE696C;
        max-width:150px;
    
    }
    
    .links{
        flex: 1;
        padding:5vh;
        /* border:1px solid blue; */
    }
    
    .links a{
        font-family:'Vollkorn', sans-serif;
        font-size:40px;
        color:#AE696C;
        text-align:center;
        font-weight:700;
    }
    
    .resumelink{
        flex:1;
        padding:5vh;
        text-align:center;
    }
    
    .resumelink button{
        background-color:#AE696C;
        font-family:'Vollkorn', sans-serif;
        color: #F2E4BD;
        font-size:20px;
        text-transform:uppercase;
        border-radius:100px;
    }
}

@media(min-width:596px){
    #edu{
        flex-direction:row;
    }
    .pic{
        flex:1;
        /* border:1px solid green; */
        padding-top:15vh;
    }
    
    .pic img{
        border:10px solid #AE696C;
        max-width:175px;
    
    }
    
    .links{
        flex: 1;
        /* border:1px solid blue; */
        padding-top:19vh;
    }
    
    .links a{
        font-family:'Vollkorn', sans-serif;
        font-size:40px;
        color:#AE696C;
        text-align:center;
        font-weight:700;
    }
    
    .resumelink{
        flex:1;
        /* border:1px solid red; */
        padding-top:15vh;
    }
    
    .resumelink button{
        background-color:#AE696C;
        font-family:'Vollkorn', sans-serif;
        color: #F2E4BD;
        font-size:20px;
        width:160px;
        height:160px;
        text-transform:uppercase;
        border-radius:100%;
    }
}


/*GALLERY*/
#gallery{
    background-color: #FAF5E8;
    display:flex;
}

@media(min-width:1140px){
    #gallery{
        flex-direction:row;
        padding-top:20vh
    }
    .albumtext{
        flex:1;
        /* border:solid 1px red; */
        padding-top:15vh;
        padding-left:20vw;
        min-width:50vw;
    }

    .header sub{
        font-weight:normal;
        font-size:20px;
        color:#AE696C;
    }

    .albums{
        flex:2;
        /* border:solid 1px blue; */
        padding:5vh 10vh;

    }

    .albums img{
        width:400px;
        border:10px solid #AE696C;
    }
}

@media(max-width:1139px){
    #gallery{
        flex-direction:column;
        padding:0 auto;
    }

    .albumtext{
        flex:1;
        /* border:solid 1px red; */
        min-width:50vw;
        padding-top:10vh;
        padding-left:auto;
        padding-right:auto;
        text-align:center;
    }
    
    .header sub{
        font-weight:normal;
        font-size:20px;
        color:#AE696C;
    }
    
    .albums{
        flex:2;
        /* border:solid 1px blue; */
        padding-left:auto;
        padding-right:auto;
        text-align:center;
    }
    
    .albums img{
        width:300px;
        border:10px solid #AE696C;
    }
}

/*CONTACT*/
#contact{
    display:flex;
    background-color:#AE696C;
    justify-content:center;
    padding:0 5vw;
}

@media(min-width:596px){
    .goodbye{
        font-family:'vollkorn', sans-serif;
        margin-top:20vh;
        text-align:center;
        color:#FAF5E8;
        font-size:50px;
        line-height:40px;
        font-weight:400;
    }
    
    .goodbye img{
        margin-top:10vh;
        max-width:120px;
        padding-left:1vw;
        padding-right:1vw;
    }
    
    .startover{
        font-family:'vollkorn', sans-serif;
        margin-top:10vh;
        text-align:center;
        color:#FAF5E8;
        font-size:30px;
    }
}

@media(max-width:595px){
    .goodbye{
        font-family:'vollkorn', sans-serif;
        margin-top:20vh;
        text-align:center;
        color:#FAF5E8;
        font-size:50px;
        line-height:40px;
        font-weight:400;
    }
    
    .goodbye img{
        margin-top:5vh;
        max-width:100px;
        padding-left:1vw;
        padding-right:1vw;
    }
    
    .startover{
        font-family:'vollkorn', sans-serif;
        margin-top:5vh;
        text-align:center;
        color:#FAF5E8;
        font-size:30px;
    }
}

/*EXTRA PAGE*/
.extras{
    background-color:#F2E4BD;
    display:flex;
    flex-direction:column;
    justify-content:center;
    padding-top:10vh;
    padding-bottom:10vh;
}

@media(min-width:768px){

    .opts{
        flex:1;
        text-align:center;
    }
    
    .opts img{
        width:150px;
        border:10px solid #AE696C;
        margin-right:5vh;
    }
    
    .opts button{
        background-color:#AE696C;
        font-family:'Vollkorn', sans-serif;
        color: #F2E4BD;
        font-size:20px;
        text-transform:uppercase;
        border-radius:100px;
    }
    
    .isinya{
        flex:2;
        margin:0 auto;
    }
    
    
    .isinya th{
        font-family:'Vollkorn', sans-serif;
        color:#AE696C;
        font-size:20px;
        font-weight:700;
    }
    
    .isinya tbody{
        font-family:'Karla', sans-serif;
    }
    
}

@media(max-width:767px){

    .opts{
        flex:1;
        text-align:center;
    }
    
    .opts img{
        width:150px;
        border:10px solid #AE696C;
        margin-right:5vh;
    }
    
    .opts button{
        background-color:#AE696C;
        font-family:'Vollkorn', sans-serif;
        color: #F2E4BD;
        font-size:20px;
        text-transform:uppercase;
        border-radius:100px;
    }
    
    .isinya{
        flex:2;
        margin:0 auto;
    }
    
    .isinya table{
        padding-left:20px;
        padding-right:20px;
    }
    
    .isinya th{
        font-family:'Vollkorn', sans-serif;
        color:#AE696C;
        font-size:20px;
        font-weight:700;
    }
    
    .isinya tbody{
        font-family:'Karla', sans-serif;
    }
    
}

/*PICTURES PAGE*/
.pictures{
    background-color:#FAF5E8;
    padding:20vh 10vw;
}


@media(min-width:768px){
    .container-a{
        display:flex;
        flex-direction:row;
        justify-content:center;
    }
    
    .container-b{
        display:flex;
        flex-direction:row;
        justify-content:center;
    }
    
    .satu .dua .tiga .empat .lima{
        flex:1;
    }

    .pictures img{
        width:350px;
        margin:2vh;
        border:10px solid #AE696C;
    }
    
}

.pictures img{
    width:250px;
    margin-top:2vh;
    border:10px solid #AE696C;
}

.pictures button{
    background-color:#AE696C;
    font-family:'Vollkorn', sans-serif;
    color: #FAF5E8;
    font-size:20px;
    text-transform:uppercase;
    border-radius:100px;
}
